package com.jxy.marketall.service;


import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.vo.QueryVo;


/**
 * @Description Arh99服务类
 * @Date 2022/6/20 17:40
 * @Author 杜懿
 */
public interface BTCRealTimeService {

    /**
     * 查询币天销毁量CoinDayDes实时数据
     * @param vo
     * @return
     */
    public AjaxResult getCDDList(QueryVo vo);

    /**
     * 查询已实现盈利交易占比ProfitRate实时数据
     * @param vo
     * @return
     */
    public AjaxResult getProfitRateList(QueryVo vo);

    /**
     * 查询交易费Fees实时数据
     * @param vo
     * @return
     */
    public AjaxResult getFeesList(QueryVo vo);


    /**
     * 查询地址相关数据newAddress、activeAddress、sendAddress、receiveAddress实时数据
     * @param vo
     * @return
     */
    public AjaxResult getAddressList(QueryVo vo);

    /**
     * 查询交易量Volume实时数据
     * @param vo
     * @return
     */
    public AjaxResult getVolumeList(QueryVo vo);

    /**
     * 查询交易量(找零消除)eaVolume实时数据
     * @param vo
     * @return
     */
    public AjaxResult geteaVolumeList(QueryVo vo);

    /**
     * 查询已花费输出盈利比Sopr实时数据
     * @param vo
     * @return
     */
    public AjaxResult getSoprList(QueryVo vo);

    /**
     * 查询已花费输出平均寿命ASOL实时数据
     * @param vo
     * @return
     */
    public AjaxResult getAsolList(QueryVo vo);

    /**
     * 查询已花费输出休眠平均天数dormancy实时数据
     * @param vo
     * @return
     */
    public AjaxResult getDormancyList(QueryVo vo);

    /**
     * 查询币天销毁量年龄分布实时数据
     * @param vo
     * @return
     */
    public AjaxResult getSoagList(QueryVo vo);


    /**
     *币价
     * @param vo
     * @return
     */
    public AjaxResult getPrice(QueryVo vo);



}
